Retry all failed jobs
POST
/jobs/retry-all-failed
const url = 'https://firma.company-gpt.com/companygpt/rag/api/jobs/retry-all-failed';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://firma.company-gpt.com/companygpt/rag/api/jobs/retry-all-failed \ --header 'Authorization: Bearer <token>'Requeue all failed jobs in collections where the caller has admin (write) access
Authorizations
Abschnitt betitelt „Authorizations“Responses
Abschnitt betitelt „Responses“Retry queued for all failed jobs
Media typeapplication/json
Response for POST /jobs/retry-all-failed and DELETE /jobs/failed (handlers.BulkActionResponse)
object
status
required
string
count
required
integer
Example
{ "status": "queued"}Unauthorized
Media typeapplication/json
object
error
required
Error message
string
Examplegenerated
{ "error": "example"}Access denied — no collections with admin role
Media typeapplication/json
object
error
required
Error message
string
Examplegenerated
{ "error": "example"}